Index: doc/groups.dox
===================================================================
--- doc/groups.dox	(revision 2371)
+++ doc/groups.dox	(revision 2376)
@@ -116,12 +116,4 @@
 */
 
-/**
-@defgroup graphbits Tools to Make It Easier to Make Graphs
-@ingroup auxdat
-\brief Tools to Make It Easier to Make Graphs.
-
-This group describes the tools that makes it easier to make graphs and
-the maps that dynamically update with the graph changes.
-*/
 
 /**
@@ -135,19 +127,30 @@
 
 /**
-@defgroup gutils Basic Graph Utilities
-@ingroup algs
-\brief This group describes some simple basic graph utilities.
-
-This group describes some simple basic graph utilities.
-*/
-
-/**
-@defgroup flowalgs Path and Flow Algorithms
+@defgroup search Graph Search
+@ingroup algs
+\brief This group contains the common graph
+search algorithms.
+
+This group contains the common graph
+search algorithms like Bfs and Dfs.
+*/
+
+/**
+@defgroup shortest_path Shortest Path algorithms
 @ingroup algs
 \brief This group describes the algorithms
-for finding paths and flows in graphs.
-
-This group describes the algorithms
-for finding paths and flows in graphs.
+for finding shortest paths.
+
+This group describes the algorithms for finding shortest paths in
+graphs.
+
+*/
+
+/** 
+@defgroup max_flow Maximum Flow algorithms 
+@ingroup algs 
+\brief This group describes the algorithms for finding maximum flows.
+
+This group describes the algorithms for finding maximum flows.
 
 \image html flow.png
@@ -156,4 +159,25 @@
 
 /**
+@defgroup min_cost_flow Minimum Cost Flow algorithms
+@ingroup algs
+
+\brief This group describes the algorithms
+for finding minimum cost flows and circulations.
+
+This group describes the algorithms for finding minimum cost flows and
+circulations.  
+*/
+
+/**
+@defgroup min_cut Minimum Cut algorithms
+@ingroup algs
+\brief This group describes the algorithms
+for finding minimum cut in graphs.
+
+This group describes the algorithms
+for finding minimum cut in graphs.
+*/
+
+/**
 @defgroup topology Topology related algorithms
 @ingroup algs
@@ -169,5 +193,5 @@
 
 /**
-@defgroup matching Matching algorithms in graphs and bipartite graphs
+@defgroup matching Matching algorithms 
 @ingroup algs
 \brief This group describes the algorithms
@@ -183,5 +207,5 @@
 
 /**
-@defgroup spantree Minimum Cost Spanning Tree Algorithms
+@defgroup spantree Minimum Spanning Tree algorithms
 @ingroup algs
 \brief This group contains the algorithms for finding a minimum cost spanning
@@ -194,5 +218,5 @@
 
 /**
-@defgroup auxalg Auxiliary Algorithms
+@defgroup auxalg Auxiliary algorithms
 @ingroup algs
 \brief Some algorithms implemented in LEMON.
@@ -200,5 +224,11 @@
 This group describes the algorithms in LEMON in order to make 
 it easier to implement complex algorithms.
-
+*/
+
+/**
+@defgroup approx Approximation algorithms
+\brief Approximation algorithms
+
+Approximation and heuristic algorithms
 */
 
@@ -232,5 +262,4 @@
 This group adds some helper tools to general optimization framework
 implemented in LEMON.
-
 */
 
@@ -244,8 +273,25 @@
 
 /**
+@defgroup utils Tools and Utilities 
+\brief Tools and Utilities for Programming in LEMON
+
+Tools and Utilities for Programming in LEMON
+*/
+
+/**
+@defgroup gutils Basic Graph Utilities
+@ingroup utils
+\brief This group describes some simple basic graph utilities.
+
+This group describes some simple basic graph utilities.
+*/
+
+/**
 @defgroup misc Miscellaneous Tools
+@ingroup utils
 Here you can find several useful tools for development,
 debugging and testing.
 */
+
 
 /**
@@ -257,4 +303,19 @@
 
 /**
+@defgroup graphbits Tools for Graph Implementation
+@ingroup utils
+\brief Tools to Make It Easier to Make Graphs.
+
+This group describes the tools that makes it easier to make graphs and
+the maps that dynamically update with the graph changes.
+*/
+
+/**
+@defgroup exceptions Exceptions
+@ingroup utils
+This group contains the exceptions thrown by LEMON library
+*/
+
+/**
 @defgroup io_group Input-Output
 \brief Several Graph Input-Output methods
@@ -303,8 +364,4 @@
 */
 
-/**
-@defgroup exceptions Exceptions
-This group contains the exceptions thrown by LEMON library
-*/
 
 /**
